Searched refs:dir (Results 1 - 25 of 116) sorted by relevance

12345

/ast/src/cmd/INIT/
H A Dmkdir.sh54 dir=$1
56 if test -n "$dir" -a ! -d "$dir"
57 then $MKDIR "$dir" || exit 1
59 then $CHMOD "$mode" "$dir" || exit 1
63 do dir=$dir/$d
64 if test ! -d "$dir"
65 then $MKDIR "$dir" || exit 1
67 then $CHMOD "$mode" "$dir" || exi
[all...]
H A Dcrossexec.sh47 [+dir?The directory to copy \acommand\a and execute it. The default
104 read hosttype hostname usr dir sh cp
124 case $dir in
125 -) dir= ;;
136 $exec $cp $cmd $cpu$hostname:$dir </dev/null || exit 1
138 $exec $sh $shu $hostname "cd $dir; LD_LIBRARY_PATH=: $cmd $@ </dev/null 2>/dev/null; code=\$?; rm -f $cmd; echo $command: exit \$code >&2" </dev/null 2>$tmp
/ast/src/lib/libast/path/
H A Dpathtmp.c35 pathtmp(char* buf, const char* dir, const char* pfx, int* fdp) argument
39 len = !buf ? 0 : !dir ? L_tmpnam : (strlen(dir) + 14);
40 return pathtemp(buf, len, dir, pfx, fdp);
H A Dpathtemp.c28 * [<dir>/][<pfx>]<bas>.<suf>
46 * dir and pfx may be 0
59 * /cycle dir specifies TMPPATH cycle control
61 * manual cycled by application with dir=(nil)
63 * /prefix dir specifies the default prefix (default ast)
64 * /private private file/dir modes
65 * /public public file/dir modes
66 * /seed dir specifies pseudo-random generator seed
68 * /TMPPATH dir overrides the env value
69 * /TMPDIR dir override
90 char** dir; member in struct:__anon300
102 pathtemp(char* buf, size_t len, const char* dir, const char* pfx, int* fdp) argument
[all...]
H A Dpathfind.c40 char dir[1]; /* directory path */ member in struct:Dir_s
50 * append dir to pathfind() include list
54 pathinclude(const char* dir) argument
59 if (dir && *dir && !streq(dir, ".") && directory(dir, &st))
62 if (streq(dir, dp->dir))
64 if (!(dp = oldof(0, Dir_t, 1, strlen(dir))))
[all...]
H A Dpathshell.c79 char dir[PATH_MAX]; local
92 if (strlen(s) >= sizeof(dir))
94 strcpy(dir, s);
95 if (!(s = strrchr(dir, '/')))
98 s = dir;
/ast/src/lib/libardir/
H A Dtestar.c27 Ardir_t* dir; local
37 else if (dir = ardiropen(file, NiL, touch ? ARDIR_UPDATE : 0))
39 sfprintf(sfstdout, "%s: type=%s truncate=%d%s\n", file, dir->meth->name, dir->truncate, (dir->flags & ARDIR_RANLIB) ? " ranlib" : "");
40 while (ent = ardirnext(dir))
45 ardirchange(dir, ent);
51 if (ardirclose(dir))
/ast/src/lib/libcs/
H A DSERVICE.mk6 * service [ type [ mode ] [ dir ] ] :SERVICE: prerequisites
18 local opt service type mode dir
28 dir := $(opt) macro
32 if dir
33 $(dir)/$(service) :INSTALL: preserve=1 $(service)$(SERVICESUFFIX)
35 for dir $(type)
36 $$(SERVICEDIR)/$(dir)/$(service)/$(service)$(SERVICESUFFIX) :INSTALL: preserve=1 $(mode) $(service)$(SERVICESUFFIX)
39 for dir $(type)
40 $$(SERVICEDIR)/$(dir)/$(service) :INSTALLDIR: $(>:N=export|hosts)
H A Dgenshare.sh27 dir=.
40 -d) dir=$2 ;;
57 ?*) echo "Usage: $0 [-d share-dir] [-r rsh-path]" >&2; exit 1 ;;
59 if test ! -d $dir
60 then echo "$0: $dir: invalid directory" >&2; exit 1
66 *) p=`df $dir/. 2>/dev/null | sed -e 's/^[^(]*(//' -e '/^[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789_]*:/!d' -e 's/:.*//' -e '/^.$/d'`
/ast/src/lib/libdll/
H A Ddllopen.c46 char* dir;
60 dir = (char*)name;
61 len = ++base - dir;
65 dir = "./";
69 path = sfprints("%-.*s%s%c%s=%-.*s%s%s", len, dir, base, 0, info->env, len, dir, olibpath ? ":" : "", olibpath ? olibpath : "");
/ast/src/cmd/ksh93/bltins/
H A Dcd_pwd.c54 register char *dir; local
81 dir = argv[0];
88 dir = sh_substitute(oldpwd,dir,argv[1]);
89 else if(!dir)
90 dir = nv_getval(HOME);
91 else if(*dir == '-' && dir[1]==0)
92 dir = nv_getval(opwdnod);
93 if(!dir || *di
[all...]
/ast/src/cmd/3d/
H A Ddup3d.c53 if (state.file[nfd].dir)
55 free(state.file[nfd].dir);
56 state.file[nfd].dir = 0;
58 if (state.file[ofd].dir && (state.file[nfd].dir = newof(0, Dir_t, 1, strlen(state.file[ofd].dir->path))))
60 strcpy(state.file[nfd].dir->path, state.file[ofd].dir->path);
61 state.file[nfd].dir->dev = state.file[ofd].dir
[all...]
H A D3d.sh23 dir=$_ # NOTE: this line must appear before any commands
176 case $dir in
179 */*) dir=$0
181 *) dir=`whence 3d 2>/dev/null`
182 dir=`whence -p $dir 2>/dev/null`
186 case $dir in
187 /*) dir=${dir%/*} ;;
188 *) dir
[all...]
H A Dopaque.sh60 */*) dir=${i%/*} file=${i##*/} ;;
61 *) dir=. file=$i ;;
63 [[ $dir -ef . ]] || cd "$dir" || err_exit "$dir: cd failed"
94 [[ $dir -ef . ]] || cd ~- || err_exit "$OLDPWD: cannot restore directory"
/ast/src/lib/libcmd/
H A Dmktemp.c76 char* dir = ""; local
96 dir = 0;
98 dir = opt_info.arg;
104 dir = 0;
133 if (dir && !*dir)
134 dir = 0;
139 dir = fmtbuf(i);
140 memcpy(dir, pfx, i);
141 dir[
[all...]
H A Drmdir.c59 register char* dir; local
94 while (dir = *argv++)
96 end = dir;
97 if (pflag) end += strlen(dir);
101 if (rmdir(dir) < 0)
112 error(ERROR_system(0), "%s: cannot remove", dir);
118 do if (end <= dir) goto next; while (*--end != '/');
119 do if (end <= dir) goto next; while (*(end - 1) == '/' && end--);
/ast/src/lib/libtk/library/demos/
H A Dbrowse27 proc browse {dir file} {
29 if {[string compare $dir "."] != 0} {set file $dir/$file}
48 if $argc>0 {set dir [lindex $argv 0]} else {set dir "."}
49 foreach i [exec ls -a $dir] {
56 bind .list <Double-Button-1> {foreach i [selection get] {browse $dir $i}}
/ast/src/cmd/tw/
H A Dupdatedb.sh62 [m:dir-format?Generate a database similar to \b--gnu-format\b, except that
114 for dir in $OPTARG
115 do case $dir in
117 *) dirs="$dirs -d $dir" ;;
129 for dir in $OPTARG
130 do case $dir in
133 ?*) keep="$keep|$dir" ;;
134 *) keep="$dir" ;;
152 for dir in $OPTARG
153 do case $dir i
[all...]
/ast/src/lib/libtksh/lib/tksh7.6/
H A Dinit.tcl26 foreach dir $tcl_pkgPath {
27 if {[lsearch -exact $auto_path $dir] < 0} {
28 lappend auto_path $dir
31 unset dir
174 set dir [lindex $auto_path $i]
176 if [catch {set f [open [file join $dir tclIndex]]}] {
191 "source [file join $dir [lindex $line 1]]"
194 error "[file join $dir tclIndex] isn't a proper Tcl index file"
241 if {[lsearch -exact {cls copy date del erase dir echo mkdir md rename
288 foreach dir [spli
[all...]
/ast/src/cmd/pax/
H A Dpax-ar.c32 Ardir_t* dir; member in struct:Ar_s
40 Ardir_t* dir; local
42 if (!(dir = ardiropen(ap->name, NiL, 0)))
46 ardirclose(dir);
51 ar->dir = dir;
52 ap->type = (char*)dir->meth->name;
63 if (ar->dir)
64 ardirclose(ar->dir);
77 if (!(ar->ent = ardirnext(ar->dir)))
[all...]
H A Dpax-pds.c44 Pdsdir_t dir[1]; member in struct:Pds_s
93 memcpy(pds->dir[i].name, b, 8);
94 ccmapstr(pds->map, pds->dir[i].name, 8);
95 pds->dir[i].block = (b[8] << 16) | (b[9] << 8) | b[10];
96 pds->dir[i].time = (n > 25) ? tmscan(sfprints("%02x %02x%01x %02x %02x", b[21], b[22], b[23] >> 4, b[24], b[25]), NiL, "%y %j %H %M", NiL, NiL, 0) : NOW;
100 pds->dir[i].link = &pds->dir[i].name[0];
103 pds->dir[i].link = 0;
105 for (n = 8; n > 0 && pds->dir[i].name[n - 1] == ' '; n--);
106 pds->dir[
[all...]
/ast/src/lib/libast/comp/
H A Dtempnam.c55 tempnam(const char* dir, const char* pfx) argument
57 return pathtmp(NiL, dir, pfx, NiL);
/ast/src/lib/libast/preroot/
H A Dsetpreroot.c25 * force current command to run under dir preroot
36 setpreroot(register char** argv, const char* dir) argument
45 if ((argv || (argv = opt_info.argv)) && (dir || (dir = getenv(PR_BASE)) && *dir) && !ispreroot(dir) && (*(cmd = *argv++) == '/' || (cmd = pathpath(cmd, NiL, PATH_ABSOLUTE|PATH_REGULAR|PATH_EXECUTE, buf, sizeof(buf)))))
53 *ap++ = (char*)dir;
H A Dispreroot.c25 * return 1 if dir [any dir] is the preroot
58 ispreroot(const char* dir) argument
62 if (dir) return(same("/", dir));
/ast/src/cmd/cs/vcs_src/
H A Dvcs_marker.c33 rdirent_t* dir; local
40 if (from && *from && search_tag(rp->fd, rp->ap, from, 0, &tp, G_LINK, &dir))
46 if (!gettagbyspec(dir, to, 0, &dump))
54 if (!force && (dump = getmarker(dir, buf)))
77 tag_t* getmarker(dir, s)
78 rdirent_t* dir;
83 for (ep=dir; ep ; ep = ep->next)
91 tag_t* getmarkerbyfrom(dir, s)
92 rdirent_t* dir;
100 for (ep = dir; e
[all...]

Completed in 622 milliseconds

12345